<?php
function slider_mainbanner_custom_posts(){
 // "Slides" Custom Post Type
		$labels = array(
			'name' =>

_x( 'Banners', 'post type general name', 'templatemela' ),
			'singular_name' => _x( 'Banners', 'post type singular name', 'templatemela' ),
			'add_new' => _x( 'Add New', 'Banners', 'templatemela' ),
			'add_new_item' => __( 'Add New Banners', 'templatemela' ),
			'edit_item' => __( 'Edit Banners', 'templatemela' ),
			'new_item' => __( 'New Banners', 'templatemela' ),
			'view_item' => __( 'View Banners', 'templatemela' ),
			'search_items' => __( 'Search Banners', 'templatemela' ),
			'not_found' =>  __( 'No banners found', 'templatemela' ),
			'not_found_in_trash' => __( 'No banners found in Trash', 'templatemela' ), 
			'parent_item_colon' => ''
		);
		
		$args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true, 
			'query_var' => true,
			'rewrite' => true,
			'capability_type' => 'post',
			'hierarchical' => false,
			'menu_position' => null, 			
			'menu_icon' => 'dashicons-slides',
			'taxonomies' => array( 'banners' ), 
			'supports' => array( 'title','editor','author','thumbnail','custom-fields')
		);
		
		register_post_type( 'banners', $args );
		// "Slide Pages" Custom Taxonomy
		$labels = array(
			'name' => _x( 'Banners Categories', 'taxonomy general name', 'templatemela' ),
			'singular_name' => _x( 'Banners Categories', 'taxonomy singular name', 'templatemela' ),
			'search_items' =>  __( 'Search Banners Category', 'templatemela' ),
			'all_items' => __( 'All Banners Categories', 'templatemela' ),
			'parent_item' => __( 'Parent Banners Category', 'templatemela' ),
			'parent_item_colon' => __( 'Parent Slide Page:', 'templatemela' ),
			'edit_item' => __( 'Edit Banners Category', 'templatemela' ), 
			'update_item' => __( 'Update Slide Page', 'templatemela' ),
			'add_new_item' => __( 'Add New Banners Category', 'templatemela' ),
			'new_item_name' => __( 'New Banners Category Name', 'templatemela' ),
			'menu_name' => __( 'Banners Categories', 'templatemela' )
		); 	
		
		$args = array(
			'hierarchical' => true,
			'labels' => $labels,
			'show_ui' => true,
			'query_var' => true,
			'rewrite' => array( 'slug' => 'banners-category' )
		);
		
		register_taxonomy( 'banners-category', array( 'banners' ), $args );
}
add_filter('init', 'slider_mainbanner_custom_posts' );
add_action( 'save_post', 'slider_save_postdata' );

function my_admin_scripts() {
	wp_register_script('my-upload', get_template_directory_uri() . '/js/my-script.js', array('jquery','media-upload','thickbox'));
	wp_enqueue_script('my-upload');
}
function my_admin_styles() {
wp_enqueue_style('thickbox');
}
add_action('admin_print_scripts', 'my_admin_scripts');
add_action('admin_print_styles', 'my_admin_styles');


function slider_save_postdata( $post_id ) {

  if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
      return;

  //if ( !wp_verify_nonce( $_POST['banners_templatemela'], plugin_basename( __FILE__ ) ) )
  //    return;

  if ( !current_user_can( 'edit_post', $post_id ) )
        return;

  $mydata = array();

  foreach($_POST as $key => $data) {
    if($key == 'banners_templatemela')
      continue;
	  
    if(preg_match('/^slider/i', $key)) {
      $mydata[$key] = $data;
    }
  }
 
  //update_post_meta($post_id, $key , $data);   
  update_post_meta($post_id, 'slider_slider', $mydata);
  
  return $mydata;
  
} 