<?php
/**
 * TemplateMela
 * @copyright  Copyright (c) 2010 TemplateMela. (http://www.templatemela.com)
 * @license    http://www.templatemela.com/license/
 */
?>
<?php  // Reference:  http://codex.wordpress.org/Widgets_API
class TestimonialWidget extends WP_Widget
{
    function TestimonialWidget(){
		$widget_settings = array('description' => 'Testimonials Widget', 'classname' => 'widgets-testimonial');
		parent::WP_Widget(false,$name='TM - Testimonials Widget',$widget_settings);
    }
    function widget($args, $instance){
		extract($args);
		$author = empty($instance['author']) ? '' : $instance['author'];
		$description = empty($instance['description']) ? '' : $instance['description']; 
		echo $before_widget; ?>
		<div class="single-testimonial">
			<div class="testimonial-description"><?php echo $description; ?></div>
			<div class="testimonial-author">	
				<?php echo $author; ?>
			</div>
		</div>
	<?php	
		echo $after_widget;
	}
    function update($new_instance, $old_instance){
		$instance = $old_instance;
		$instance['author'] = strip_tags($new_instance['author']);		
		$instance['description'] = strip_tags($new_instance['description']);
		return $instance;
	}

    function form($instance){
		$instance = wp_parse_args( (array) $instance, array('title'=>'','linkURL'=>'','author'=>'','description'=>'','company'=>'','window_target'=>'') );
		$author = esc_attr($instance['author']);
		$description = esc_attr($instance['description']);
		
		?>
<p>
  <label for="<?php echo $this->get_field_id('author');?>">Author:<br />
  </label>
  <input class="widefat" id="<?php echo $this->get_field_id('author');?>" name="<?php echo $this->get_field_name('author');?>" type="text" value="<?php echo $author;?>" />
</p>
<p>
  <label for="<?php echo $this->get_field_id('description');?>">Description:</label>
  <textarea cols="18" rows="3" class="widefat" id="<?php echo $this->get_field_id('description');?>" name="<?php echo $this->get_field_name('description');?>" ><?php echo $description;?></textarea>
</p>
<?php
	}
}
add_action('widgets_init', create_function('', 'return register_widget("TestimonialWidget");'));
?>
