# Mariah Changelog

## 2.1.0 - 15 Nov 2014
* Added internationalization (i18n) support by wrapping all front-end facing text strings in a translation function  
* Added text domain in style.css and loaded text domain in functions.php  
* Added .pot file as basis for translations  
* Added English .po and .mo files  
* Add .rtl stylesheet to be conditionally enqueued (instead of style.css) when WordPress language is set to an RTL script  

### Files Modified
* /style.css  
* /style-rtl.css (new file added)  
* /functions.php  
* /languages/mariah.pot (new directory and file added)  
* /languages/en_US.mo (new file added)  
* /languages/en_US.po (new file added)  

---

## 2.0.4 - 06 Sept 2014
* Fix Gravity Forms placeholder script to deconflict with Soliloquy in WordPress 4.0
* Improved cache handling of theme updates
* Update Soliloquy to 2.3.5

### Files Modified
* /style.css (version number only)
* /lib/init.php
* /lib/functions/gforms-placeholder.php
* /lib/plugins/packaged/soliloquy.zip

---

## 2.0.3 - 30 May 2014
* Fix WooCommerce column layout

### Files Modified
* /style.css
* /functions.php

---

## 2.0.2 - 30 May 2014
* CSS fix for main navigation drop downs
* CSS fix for home CTA paragraphs
* CSS fix for WooCommerce product archive layout
* Update Soliloquy to version 2.3.2

### Files Modified
* /style.css
* /lib/plugins/packaged/soliloquy.zip

---

## 2.0.1 - 10 Apr 2014
* Fixes for changes in Soliloquy CSS selectors
* Update Soliloquy to version 2.1.9

### Files Modified
* /style.css
* /lib/plugins/packaged/soliloquy.zip

---

## 2.0.0 - 28 March 2014
This is a MAJOR REVISION of the theme which converts it to HTML5 and adds some new features. If updating from a previous version please review the Mariah theme instructions for any special instuctions found here:
http://www.web-savvy-marketing.com/forum/mariah-instructions/

* Converted theme to HTML5 standards
* Numerous coding standarization improvements throughout
* Compressed theme image files
* Improved Internet Explorer Compatibility
* New method for Gravity Forms field placeholders
* Added Changelog
* Added missing strings to text domain for localization
* Added HTML5 custom comment form
* Added dashboard notification system for new theme updates
* Added Mariah Settings metabox titles to text domain for translation
* Added javascript for targeting individual browsers
* Added shortcodes
* Added explicit GPL and Copyright notices
* Added image alt tags to call to action widget
* Renamed custom-footer.php to footer.php
* Removed no-longer-used code
* Updated README file
* Updated screenshot with larger image
* Updated Soliloquy to version 1.5.7.1

### Files Modified
* /style.css
* /functions.php
* /home.php
* /changelog.md (new file added)
* /README.txt (file removed)
* /README.md (new file added)
* /screenshot.jpg (file removed)
* /screenshot.png (new file added)
* /lib/init.php
* /lib/admin/mariah-theme-settings.php
* /lib/functions/gforms-placeholder.php (new file added)
* /lib/functions/update.php (new file added)
* /lib/js/clear_form_fields.js (file removed)
* /lib/js/modernizr.min.js (new file added)
* /lib/structure/comment-form.php (new file added)
* /lib/structure/footer.php
* /lib/structure/header.php
* /lib/structure/sidebar.php
* /lib/widgets/call-to-action.php
* /lib/plugins/packaged/soliloquy.zip

---

## 1.1.3 - 16 Sept 2013
* Restore Genesis Simple Sidebar compatibility
* Update Soliloquy to version 1.5.5.3

### Files Modified
* /style.css (version number only)
* /lib/functions.php
* /lib/structure/sidebar.php
* /lib/plugins/packaged/soliloquy.zip

---

## 1.1.2 - 03 Sept 2013
* Change forced Soliloquy activation to false
* Update Soliloquy to version 1.5.5.1

### Files Modified
* /style.css (version number only)
* /lib/plugins/plugins.php
* /lib/plugins/packaged/soliloquy.zip

---

## 1.1.1 - 10 June 2013
* Correct Soliloquy license key
* Update Soliloquy to version 1.5.3

### Files Modified
* /style.css (version number only)
* /lib/lib.php
* /lib/plugins/packaged/soliloquy.zip

---

## 1.1.0 - 02 May 2013
* Declare WooCommerce Support
* Update Soliloquy to version 1.4.9.1

### Files Modified
* /style.css (version number only)
* /lib/lib.php
* /lib/plugins/packaged/soliloquy.zip

---

## 1.0.9 - 14 Jan 2013
* Fixed comaptibility issue between WooCommerce and Genesis Simple Sidebars
* Update custom background method removing depreciated function
* Corrected text domain in plugin install package
* Removed unused file

### Files Modified
* /style.css (version number only)
* /functions.php
* /lib/lib.php
* /lib/structure/sidebar.php
* /lib/structure/blog_top_widget_area.php (file removed)
* /lib/plugins/plugins.php

---

## 1.0.8 - 04 Jan 2013
* Make compatible with Genesis Simple Sidebars plugin
* Update Soliloquy to 1.4.6

### Files Modified
* /style.css (version number only)
* /functions.php
* /lib/lib.php
* /lib/structure/sidebar.php (new file added)
* /lib/plugins/packaged/soliloquy.zip

---

## 1.0.7 - 24 Nov 2012
* Change CSS to accomodate Soliloquy selector changes
* Update Soliloquy to 1.4.3

### Files Modified
* /style.css
* /lib/plugins/packaged/soliloquy.zip

---

## 1.0.6 - 01 Nov 2012
* Fix rotator caption styling because of Soliloquy changed to CSS
* Update Soliloquy to 1.4.2

### Files Modified
* /style.css
* /lib/plugins/packaged/soliloquy.zip

---

## 1.0.5 - 29 Oct 2012
* Soliloquy license key implimentation fix
* Update Soliloquy to version 1.4.1

### Files Modified
* /style.css (version number only)
* /lib/init.php
* /lib/admin/mariah-theme-settings.php
* /lib/plugins/packaged/soliloquy.zip

---

## 1.0.4 - 08 Oct 2012
* Update Soliloquy pagackage

### Files Modified
* /style.css (version number only)
* /lib/plugins/packaged/soliloquy.zip

---

## 1.0.3 - 30 June 2012
* Change responsive CSS so menus wrap

### Files Modified
* /style.css

---

## 1.0.2 - 30 Jun 2012
* Fixed sidebar bug

### Files Modified
* /style.css (version number only)
* /functions.php

---

## 1.0.1 - 28 June 2012
* Fixed color scheme CSS for dropdown menus

### Files Modified:
* /style.css

---

## 1.0.0 - 12 June 2012
* Initial theme release