<?php
/**
 * Ad Block 125x125 Widget
 *
 * Displays Ad Block 125x125
 *
 */
class Web_Savvy_Adblock_Small_Widget extends WP_Widget {
	
    /**
     * Constructor
     *
     * @return void
     **/
	function Web_Savvy_Adblock_Small_Widget() {
		$widget_ops = array( 'classname' => 'adblock125', 'description' => 'Ad Block 125x125 Widget' );
		$this->WP_Widget( 'adblocks125', 'Web Savvy - Ad Block 125x125 Widget', $widget_ops );
	}

    /**
     * Outputs the HTML for this widget.
     *
     * @param array  An array of standard parameters for widgets in this theme 
     * @param array  An array of settings for this widget instance 
     * @return void Echoes it's output
     **/
	function widget( $args, $instance ) {
		extract( $args, EXTR_SKIP );
?>

<?php if(!empty($instance['wsm_adblock_image_url_1']) || !empty($instance['wsm_adblock_image_url_2']) ):?>    
            <div id="adblocks">
            <?php if(!empty($instance['wsm_adblock_image_url_1'])):?>
              <div class="left adblock-125x125" <?php if(empty($instance['wsm_adblock_image_url_2'])) echo 'style="background:none;"'; ?>>
                <?php if(!empty($instance['wsm_adblock_link_url_1'])):?><a href="<?php echo $instance['wsm_adblock_link_url_1']; ?>"><img class="adblock" src="<?php echo $instance['wsm_adblock_image_url_1']; ?>"/></a>
                <?php else: ?><img class="adblock" src="<?php echo $instance['wsm_adblock_image_url_1']; ?>"/><?php endif; ?>
              </div>
            <?php endif; if(!empty($instance['wsm_adblock_image_url_2'])):?>
              <div class="right adblock-125x125">
                <?php if(!empty($instance['wsm_adblock_link_url_2'])):?><a href="<?php echo $instance['wsm_adblock_link_url_2']; ?>"><img class="adblock" src="<?php echo $instance['wsm_adblock_image_url_2']; ?>"/></a>
                <?php else: ?><img class="adblock" src="<?php echo $instance['wsm_adblock_image_url_2']; ?>"/><?php endif; ?>
              </div>
            <?php endif; ?>
              <div class="clear"></div>
            </div>
<?php endif; ?>

<?php

	}

    /**
     * Deals with the settings when they are saved by the admin. Here is
     * where any validation should be dealt with.
     *
     * @param array  An array of new settings as submitted by the admin
     * @param array  An array of the previous settings 
     * @return array The validated and (if necessary) amended settings
     **/
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
	
		$instance['wsm_adblock_image_url_1'] = esc_url( $new_instance['wsm_adblock_image_url_1'] );
		$instance['wsm_adblock_link_url_1'] = esc_url( $new_instance['wsm_adblock_link_url_1'] );
		$instance['wsm_adblock_image_url_2'] = esc_url( $new_instance['wsm_adblock_image_url_2'] );
		$instance['wsm_adblock_link_url_2'] = esc_url( $new_instance['wsm_adblock_link_url_2'] );
		return $instance;
	}

    /**
     * Displays the form for this widget on the Widgets page of the WP Admin area.
     *
     * @param array  An array of the current settings for this widget
     * @return void Echoes it's output
     **/
	function form( $instance ) {
	
		$defaults = array( 'wsm_adblock_image_url_1' => '', 'wsm_adblock_image_url_2' => '' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p><label for="<?php echo $this->get_field_id( 'wsm_adblock_image_url_1' ); ?>">Ad Block 125x125 Image URL (left): <input class="widefat" id="<?php echo $this->get_field_id( 'wsm_adblock_image_url_1' ); ?>" name="<?php echo $this->get_field_name( 'wsm_adblock_image_url_1' ); ?>" value="<?php echo $instance['wsm_adblock_image_url_1']; ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id( 'wsm_adblock_link_url_1' ); ?>">Ad Block 125x125 Link URL: <input class="widefat" id="<?php echo $this->get_field_id( 'wsm_adblock_link_url_1' ); ?>" name="<?php echo $this->get_field_name( 'wsm_adblock_link_url_1' ); ?>" value="<?php echo $instance['wsm_adblock_link_url_1']; ?>" /></label></p>
		
    <p><label for="<?php echo $this->get_field_id( 'wsm_adblock_image_url_2' ); ?>">Ad Block 125x125 Image URL (right): <input class="widefat" id="<?php echo $this->get_field_id( 'wsm_adblock_image_url_2' ); ?>" name="<?php echo $this->get_field_name( 'wsm_adblock_image_url_2' ); ?>" value="<?php echo $instance['wsm_adblock_image_url_2']; ?>" /></label></p>
    <p><label for="<?php echo $this->get_field_id( 'wsm_adblock_link_url_2' ); ?>">Ad Block 125x125 Link URL: <input class="widefat" id="<?php echo $this->get_field_id( 'wsm_adblock_link_url_2' ); ?>" name="<?php echo $this->get_field_name( 'wsm_adblock_link_url_2' ); ?>" value="<?php echo $instance['wsm_adblock_link_url_2']; ?>" /></label></p>

		<?php

	}
}

add_action( 'widgets_init', create_function( '', "register_widget('Web_Savvy_Adblock_Small_Widget');" ) );