<?php
/**
 * Ad Block 300x250 Widget
 *
 * Displays Ad Block 300x250
 *
 */
class Web_Savvy_Adblock_Large_Widget extends WP_Widget {
	
    /**
     * Constructor
     *
     * @return void
     **/
	function Web_Savvy_Adblock_Large_Widget() {
		$widget_ops = array( 'classname' => 'adblock300', 'description' => 'Ad Block 300x250 Widget' );
		$this->WP_Widget( 'adblocks300', 'Web Savvy - Ad Block 300x250 Widget', $widget_ops );
	}

    /**
     * Outputs the HTML for this widget.
     *
     * @param array  An array of standard parameters for widgets in this theme 
     * @param array  An array of settings for this widget instance 
     * @return void Echoes it's output
     **/
	function widget( $args, $instance ) {
		extract( $args, EXTR_SKIP );
?>

<?php if(!empty($instance['wsm_adblock_image_url'])):?>    
            <div id="adblocks">
              <div class="adblock-300x250">
              <?php if(!empty($instance['wsm_adblock_link_url'])):?><a href="<?php echo $instance['wsm_adblock_link_url']; ?>"><img class="adblock" src="<?php echo $instance['wsm_adblock_image_url']; ?>"/></a>
              <?php else: ?><img class="adblock" src="<?php echo $instance['wsm_adblock_image_url']; ?>"/><?php endif; ?>
              </div>
            </div>
<?php endif; ?>

<?php

	}

    /**
     * Deals with the settings when they are saved by the admin. Here is
     * where any validation should be dealt with.
     *
     * @param array  An array of new settings as submitted by the admin
     * @param array  An array of the previous settings 
     * @return array The validated and (if necessary) amended settings
     **/
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
	
		$instance['wsm_adblock_image_url'] = esc_url( $new_instance['wsm_adblock_image_url'] );
		$instance['wsm_adblock_link_url'] = esc_url( $new_instance['wsm_adblock_link_url'] );
		return $instance;
	}

    /**
     * Displays the form for this widget on the Widgets page of the WP Admin area.
     *
     * @param array  An array of the current settings for this widget
     * @return void Echoes it's output
     **/
	function form( $instance ) {
	
		$defaults = array( 'wsm_adblock_image_url' => '' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p><label for="<?php echo $this->get_field_id( 'wsm_adblock_image_url' ); ?>">Ad Block 300x250 URL: <input class="widefat" id="<?php echo $this->get_field_id( 'wsm_adblock_image_url' ); ?>" name="<?php echo $this->get_field_name( 'wsm_adblock_image_url' ); ?>" value="<?php echo $instance['wsm_adblock_image_url']; ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id( 'wsm_adblock_link_url' ); ?>">Ad Block 300x250 Link URL: <input class="widefat" id="<?php echo $this->get_field_id( 'wsm_adblock_link_url' ); ?>" name="<?php echo $this->get_field_name( 'wsm_adblock_link_url' ); ?>" value="<?php echo $instance['wsm_adblock_link_url']; ?>" /></label></p>

		<?php

	}
}

add_action( 'widgets_init', create_function( '', "register_widget('Web_Savvy_Adblock_Large_Widget');" ) );