<?php
/**
 * Adds the Social Links widget.
 *
 */

add_action( 'widgets_init', create_function( '', "register_widget('WSM_social_links');" ) );

class WSM_social_links extends WP_Widget {

	/**
	 * Constructor. Set the default widget options and create widget.
	 */
	function WSM_social_links() {
		$widget_ops = array( 'classname' => 'social-links', 'description' => __('Displays call to action links', 'genesis') );
		$this->WP_Widget( 'social-links', __('Mariah - Social Links', 'genesis'), $widget_ops );
	}

	/**
	 * Echo the widget content.
	 *
	 * @param array $args Display arguments including before_title, after_title, before_widget, and after_widget.
	 * @param array $instance The settings for the particular instance of the widget
	 */
	function widget($args, $instance) {
		extract($args);

		$instance = wp_parse_args( (array)$instance, array(
			'fb-url' => '',
			'twit-url' => '',
			'flkr-url' => '',
			'google-plus-url' => '',
			'p-url' => '',

			
	
		) );


			echo '<div class="widget mariah-social-widget">';		
			echo '<ul class="social-wrap">';
			
					
			//Twitter
				if (!empty($instance['twit-url'])) {
				echo '<li><a class="tw" href="'.$instance['twit-url'].'" target="_blank">Twitter</a></li>';
				}
			
			//Facebook
				if (!empty($instance['fb-url'])) {
				echo '<li><a class="fb" href="'.$instance['fb-url'].'" target="_blank">Facebook</a></li>';
				}
				
			//Flkr
				if (!empty($instance['flkr-url'])) {
				echo '<li><a class="fl" href="'.$instance['flkr-url'].'" target="_blank">Flickr</a></li>';
				}
				
				
			//Google-plus
				if (!empty($instance['google-plus-url'])) {
				echo '<li><a class="gp" href="'.$instance['google-plus-url'].'" target="_blank">Google+</a></li>';
				}
				
				
			//P-plus
				if (!empty($instance['p-url'])) {
				echo '<li><a class="pn" href="'.$instance['p-url'].'" target="_blank">Pinterest</a></li>';
				}
					
					
				
					
		echo '</ul></div>';

	}

	/** Update a particular instance.
	 *
	 * This function should check that $new_instance is set correctly.
	 * The newly calculated value of $instance should be returned.
	 * If "false" is returned, the instance won't be saved/updated.
	 *
	 * @param array $new_instance New settings for this instance as input by the user via form()
	 * @param array $old_instance Old settings for this instance
	 * @return array Settings to save or bool false to cancel saving
	 */
	function update($new_instance, $old_instance) {
		$new_instance['fb-url'] = strip_tags( $new_instance['fb-url'] );
		$new_instance['twit-url'] = strip_tags( $new_instance['twit-url'] );
		$new_instance['flkr-url'] = strip_tags( $new_instance['flkr-url'] );
		$new_instance['google-plus-url'] = strip_tags( $new_instance['google-plus-url'] );
		$new_instance['p-url'] = strip_tags( $new_instance['p-url'] );

		return $new_instance;
	}

	/** Echo the settings update form.
	 *
	 * @param array $instance Current settings
	 */
	function form($instance) {

		$instance = wp_parse_args( (array)$instance, array(
		
			'fb-url' => '',
			'twit-url' => '',
			'flkr-url' => '',
			'google-plus-url' => '',
			'p-url' => '',
	
		) );

?>
<!-- Title-->
	

	<!-- FB -->
	<p>
			<label for="<?php echo $this->get_field_id('fb-url'); ?>"><?php _e('Facebook URL', 'genesis'); ?>:</label><br />
			<input type="text" id="<?php echo $this->get_field_id('fb-url'); ?>" name="<?php echo $this->get_field_name('fb-url'); ?>" value="<?php echo esc_attr( $instance['fb-url'] ); ?>" class="widefat"/>
	</p>
	<HR style="border:0; height:2px; border-top:1px solid #CCC;">
	<!-- Twitter -->
	
	<p>
			<label for="<?php echo $this->get_field_id('twit-url'); ?>"><?php _e('Twitter URL', 'genesis'); ?>:</label><br />
			<input type="text" id="<?php echo $this->get_field_id('twit-url'); ?>" name="<?php echo $this->get_field_name('twit-url'); ?>" value="<?php echo esc_attr( $instance['twit-url'] ); ?>" class="widefat"/>
	</p>
	
	<HR style="border:0; height:2px; border-top:1px solid #CCC;">
	
	<!--Flkr -->
	
	<p>
			<label for="<?php echo $this->get_field_id('flkr-url'); ?>"><?php _e('Flickr URL', 'genesis'); ?>:</label><br />
			<input type="text" id="<?php echo $this->get_field_id('flkr-url'); ?>" name="<?php echo $this->get_field_name('flkr-url'); ?>" value="<?php echo esc_attr( $instance['flkr-url'] ); ?>" class="widefat"/>
	</p>	
	
	<!--Google-Plus -->
	
	<p>
			<label for="<?php echo $this->get_field_id('google-plus-url'); ?>"><?php _e('Google Plus URL', 'genesis'); ?>:</label><br />
			<input type="text" id="<?php echo $this->get_field_id('google-plus-url'); ?>" name="<?php echo $this->get_field_name('google-plus-url'); ?>" value="<?php echo esc_attr( $instance['google-plus-url'] ); ?>" class="widefat"/>
	</p>	
	
	<!--P -->
	
	<p>
			<label for="<?php echo $this->get_field_id('p-url'); ?>"><?php _e('Pinterest URL', 'genesis'); ?>:</label><br />
			<input type="text" id="<?php echo $this->get_field_id('p-url'); ?>" name="<?php echo $this->get_field_name('p-url'); ?>" value="<?php echo esc_attr( $instance['p-url'] ); ?>" class="widefat"/>
	</p>	
			
		
	<?php
	}
}